/* ------------------------------------------------------------------------
 * $Id: ListInterceptorStack.java 4 2007-04-06 04:33:54Z tpv $
 * Copyright 2007, Tim Vernum
 *
 * Permission is hereby granted, free of charge, to any person obtaining 
 * a copy of this software and associated documentation files (the 
 * "Software"), to deal in the Software without restriction, including 
 * without limitation the rights to use, copy, modify, merge, publish, 
 * distribute, sublicense, and/or sell copies of the Software, and to 
 * permit persons to whom the Software is furnished to do so, subject 
 * to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF 
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, 
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * ------------------------------------------------------------------------
 */

package net.sf.tie;

import java.util.Arrays;

import org.aopalliance.intercept.MethodInterceptor;

/**
 *  <b>This class is not part of the public API for Tie</b>
 */
class ListInterceptorStack implements MethodInterceptorStack
{
    private final Iterable<MethodInterceptor> _interceptors;

    public ListInterceptorStack(Iterable<MethodInterceptor> interceptors)
    {
        _interceptors = interceptors;
    }

    public ListInterceptorStack(MethodInterceptor[] interceptors)
    {
        this(Arrays.asList(interceptors));
    }

    public <T> Iterable<MethodInterceptor> getInterceptors(Class<T> type, T endPoint)
    {
        return _interceptors;
    }
}
